## ros-humble-rosbag2-storage-mcap-testdata 0.15.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rosbag2_storage_mcap_testdata)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/ComplexIdl.idl"
  "msg/BasicIdl.idl"
  "msg/BasicMsg.msg"
  "msg/ComplexMsg.msg"
  "msg/ComplexMsgDependsOnIdl.msg"
  "srv/BasicSrv.srv"
  "action/BasicAction.action"
  ADD_LINTER_TESTS
)

ament_package()

=== debian/changelog ===
ros-humble-rosbag2-storage-mcap-testdata (0.15.7-1jammy) jammy; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.6-1jammy) jammy; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.4-1jammy) jammy; urgency=high

  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.6.0-1jammy) jammy; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 28 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.5.0-1jammy) jammy; urgency=high

  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 02 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.4.0-1jammy) jammy; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 06 Oct 2022 00:00:00 -0000

=== debian/control ===
Source: ros-humble-rosbag2-storage-mcap-testdata
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-storage-mcap-testdata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-ros-workspace
Description: message definition test fixtures for MCAP schema recording

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap-testdata//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rosbag2-storage-mcap-testdata 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-storage-mcap-testdata (0.15.12-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.11-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.10-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.9-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.8-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.7-1bookworm) bookworm; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.6-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.15.4-1bookworm) bookworm; urgency=high

  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.6.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.5.0-1bookworm) bookworm; urgency=high

  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap-testdata (0.4.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap-testdata//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap-testdata//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rosbag2-storage-mcap-testdata//opt/ros/humble/opt/rosbag2_storage_mcap_testdata/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
